
//////////////////////////////////////////////////////////////
//
// Header file for StatWindowMainWindow
//
//    This class is a ViewKit VkSimpleWindow subclass
//
// Normally, very little in this file should need to be changed.
// Create/add/modify menus using the builder.
//
// Restrict changes to those sections between
// the "//--- Start/End editable code block" markers
// Doing so will allow you to make chnages using the builder
// without losing any changes you may have made manually
//
//////////////////////////////////////////////////////////////
#ifndef STATWINDOWMAINWINDOW_H
#define STATWINDOWMAINWINDOW_H
#include <Vk/VkSimpleWindow.h>

//---- Start editable code block: headers and declarations


//---- End editable code block: headers and declarations


//---- StatWindowMainWindow class declaration

class StatWindowMainWindow: public VkSimpleWindow { 

  public:

    StatWindowMainWindow( const char * name, 
                          ArgList args = NULL,
                          Cardinal argCount = 0 );
    ~StatWindowMainWindow();
    const char *className();
    virtual Boolean okToQuit();
    class StatForm *getStatForm();

    //---- Start editable code block: StatWindowMainWindow public

    void handleWmDeleteMessage();

    //---- End editable code block: StatWindowMainWindow public


  protected:



    // Classes created by this class

    class StatForm *_statForm;


    //---- Start editable code block: StatWindowMainWindow protected


    //---- End editable code block: StatWindowMainWindow protected


  private:


    static String      _defaultStatWindowMainWindowResources[];

    //---- Start editable code block: StatWindowMainWindow private

    //---- End editable code block: StatWindowMainWindow private


};
#endif
